## opendnssec 1.3.14

=== debian/changelog ===
opendnssec (1:1.3.14-2) unstable; urgency=low

  * Use dh-autoreconf
  * Bump build time dependency on libldns to 1.6.14 where strlcpy has
    disappeared to fix some strange linking problems

 -- Ondřej Surý <ondrej@debian.org>  Wed, 17 Jul 2013 08:37:21 +0200

opendnssec (1:1.3.14-1) unstable; urgency=low

  * New upstream version 1.3.14
  * Update patches for 1.3.14 release

 -- Ondřej Surý <ondrej@debian.org>  Wed, 26 Jun 2013 08:50:26 +0200

opendnssec (1:1.3.10-2) unstable; urgency=low

  * Imported Upstream version 1.3.13
  * Remove upstream patches which were fixed in more recent upstream versions
  * Fix type 's/signed/signer/ stop' (Closes: #681677)

 -- Ondřej Surý <ondrej@debian.org>  Thu, 25 Apr 2013 09:29:06 +0200
