## opendnssec 1.3.15

=== debian/changelog ===
opendnssec (1:1.3.15-1) unstable; urgency=low

  * New upstream version 1.3.15

 -- Ondřej Surý <ondrej@debian.org>  Fri, 27 Sep 2013 08:35:23 +0200

opendnssec (1:1.3.14-3) unstable; urgency=low

  * Move doxygen from B-D-I to B-D to unbreak the Ubuntu precise build
  * Update opendnssec-doc Breaks/Replaces to unbreak the PPA repository

 -- Ondřej Surý <ondrej@debian.org>  Mon, 05 Aug 2013 09:02:07 +0200
