=== debian/control ===
--- 
+++ 
@@ -21,10 +21,10 @@
 	       libldns-dev (>= 1.6.14~),
 	       libcunit1-dev,
 	       opensc,
-	       procps
-Build-Depends-Indep: rdoc,
-	       	     graphviz,
-	       	     doxygen
+	       procps,
+	       rdoc,
+	       graphviz,
+	       doxygen
 Standards-Version: 3.9.2
 Homepage: http://www.opendnssec.org/
 Vcs-Browser: http://git.debian.org/?p=pkg-nlnetlabs/opendnssec.git
@@ -90,8 +90,8 @@
 Architecture: all
 Depends: ${misc:Depends}
 Suggests: opendnssec, softhsm
-Replaces: opendnssec-auditor (<< 1:1.3.9-5), opendnssec-signer (<< 1:1.3.9-5), opendnssec-enforcer (<< 1:1.3.9-5), libhsm-bin (<< 1:1.3.9-5)
-Breaks: opendnssec-auditor (<< 1:1.3.9-5), opendnssec-signer (<< 1:1.3.9-5), opendnssec-enforcer (<< 1:1.3.9-5), libhsm-bin (<< 1:1.3.9-5)
+Replaces: opendnssec-auditor (<< 1:1.3.14-1~), opendnssec-signer (<< 1:1.3.14-1~), opendnssec-enforcer (<< 1:1.3.14-1~), libhsm-bin (<< 1:1.3.14-1~)
+Breaks: opendnssec-auditor (<< 1:1.3.14-1~), opendnssec-signer (<< 1:1.3.14-1~), opendnssec-enforcer (<< 1:1.3.14-1~), libhsm-bin (<< 1:1.3.14-1~)
 Description: documentation for OpenDNSSEC suite
  OpenDNSSEC is a complete DNSSEC zone signing system which is very
  easy to use with stability and security in mind.  There are a lot of
