## opendnssec 1.4.3

=== debian/changelog ===
opendnssec (1:1.4.3-3) unstable; urgency=medium

  * Add epoch to conflicts/breaks with opendnssec-auditor (Closes: #717980)
  * opendnssec-auditor has been removed (Closes: #734344, #735587)

 -- Ondřej Surý <ondrej@debian.org>  Tue, 28 Jan 2014 13:17:29 +0100

opendnssec (1:1.4.3-2) unstable; urgency=low

  * Promote 1.4 branch to Debian unstable

 -- Ondřej Surý <ondrej@debian.org>  Tue, 28 Jan 2014 12:25:17 +0100

opendnssec (1:1.4.3-1) experimental; urgency=low

  * New upstream version 1.4.3
  * Override dh_install with --fail-install
  * Update patches for the 1.4.3 release
  * Add Replaces&Breaks opendnssec-auditor (<< 1.4.0~) to
    opendnssec-enforcer-* (Closes: #717980)
  * Include mysql and sqlite3 migration scripts (Closes: #671185)
  * Add hard conflict between opendnssec-dbg-mysql and
    opendnssec-dbg-sqlite3
  * Fix upstream manpage-section-mismatch
    usr/share/man/man8/ods-signer(d).8.gz:1 8 != 22

 -- Ondřej Surý <ondrej@debian.org>  Tue, 17 Dec 2013 17:13:03 +0100

opendnssec (1:1.4.1-1) experimental; urgency=low

  * New upstream version 1.4.1
  * Refresh patches for 1.4.1 release

 -- Ondřej Surý <ondrej@debian.org>  Wed, 17 Jul 2013 09:10:53 +0200

opendnssec (1:1.4.0-1) experimental; urgency=low

  * Imported Upstream version 1.4.0
  * debian/rules, debian/control:
   + Use dh-autoreconf instead of manual autoreconf invocation
  * debian/patches/:
   + Refresh patches for 1.4.0 release
  * Fix couple of lintian warnings
  * Make generated Doxyfile executable to fix FTBFS
  * Just add doxygen and graphviz to fix FTBFS in Ubuntu PPA

 -- Ondřej Surý <ondrej@debian.org>  Thu, 25 Apr 2013 09:46:06 +0200

opendnssec (1.4.0~a1+r6339-1) experimental; urgency=low

  * Imported Upstream version 1.4.0~a1+r6339
  * Move 1.4.0 branch to Debian experimental
  * Update source code to latest svn as many bugs were fixed there
  * Update gbp.conf for debian-experimental
  * Update patches to match r6339

 -- Ondřej Surý <ondrej@debian.org>  Thu, 17 May 2012 12:07:37 +0200
