=== debian/control ===
--- 
+++ 
@@ -2,19 +2,14 @@
 Section: admin
 Priority: extra
 Maintainer: Ondřej Surý <ondrej@debian.org>
-Build-Depends: quilt (>= 0.46-7~),
-	       debhelper (>= 7.0.50~),
+Build-Depends: debhelper (>= 7.0.50~),
 	       hardening-wrapper,
 	       dh-autoreconf,
-	       ruby-dnsruby (>= 1.53~),
-	       rubygems,
-	       ruby-pkg-tools,
-	       ruby1.8,
-	       libopenssl-ruby,
 	       libxml2-utils,
 	       xsltproc,
 	       libxml2-dev,
 	       libmysqlclient-dev,
+	       libcurl4-openssl-dev,
 	       mysql-client,
 	       libsqlite3-dev,
 	       sqlite3,
@@ -22,35 +17,13 @@
 	       libcunit1-dev,
 	       opensc,
 	       procps,
-	       rdoc,
 	       graphviz,
 	       doxygen
-Standards-Version: 3.9.2
+Standards-Version: 3.9.4
 Homepage: http://www.opendnssec.org/
 Vcs-Browser: http://git.debian.org/?p=pkg-nlnetlabs/opendnssec.git
 Vcs-Git: git://git.debian.org/pkg-nlnetlabs/opendnssec.git
 
-Package: opendnssec-auditor
-Section: admin
-Architecture: all
-Depends: ${misc:Depends},
-	 ruby1.8,
-	 ruby-dnsruby (>= 1.53~),
-	 libopenssl-ruby
-Recommends: opendnssec-signer, opendnssec-enforcer
-Suggests: opendnssec, softhsm
-Description: tool to audit DNS signed zones according to local policy
- OpenDNSSEC is a complete DNSSEC zone signing system which is very
- easy to use with stability and security in mind.  There are a lot of
- details in signing zone files with DNSSEC and OpenDNSSEC covers most
- of it.
- .
- This package contains OpenDNSSEC Auditor, which is a tool to check
- whether a DNSSEC signed zone complies to a local policy.  It is issued
- automatically (unless disabled) after each resigning of a zone
- and will stop the signed zone file from being distributed if any
- error is found.
-
 Package: opendnssec-common
 Section: misc
 Architecture: all
@@ -58,6 +31,8 @@
 	 ucf,
 	 adduser
 Suggests: opendnssec, softhsm
+Conflicts: opendnssec-auditor (<= 1.3.7-2)
+Replaces: opendnssec-auditor (<= 1.3.7-2)
 Description: common configuration files for OpenDNSSEC suite
  OpenDNSSEC is a complete DNSSEC zone signing system which is very
  easy to use with stability and security in mind.  There are a lot of
@@ -75,7 +50,6 @@
 	 opendnssec-signer,
 	 opendnssec-doc,
 	 libhsm-bin
-Recommends: opendnssec-auditor
 Suggests: softhsm
 Description: dependency package to install full OpenDNSSEC suite
  OpenDNSSEC is a complete DNSSEC zone signing system which is very
@@ -86,12 +60,12 @@
  This meta-package depends on the standard distribution of OpenDNSSEC.
 
 Package: opendnssec-doc
-Section: misc
+Section: doc
 Architecture: all
 Depends: ${misc:Depends}
 Suggests: opendnssec, softhsm
-Replaces: opendnssec-auditor (<< 1:1.3.14-1~), opendnssec-signer (<< 1:1.3.14-1~), opendnssec-enforcer (<< 1:1.3.14-1~), libhsm-bin (<< 1:1.3.14-1~)
-Breaks: opendnssec-auditor (<< 1:1.3.14-1~), opendnssec-signer (<< 1:1.3.14-1~), opendnssec-enforcer (<< 1:1.3.14-1~), libhsm-bin (<< 1:1.3.14-1~)
+Replaces: opendnssec-auditor (<< 1:1.3.9-5), opendnssec-signer (<< 1:1.3.9-5), opendnssec-enforcer (<< 1:1.3.9-5), libhsm-bin (<< 1:1.3.9-5)
+Breaks: opendnssec-auditor (<< 1:1.3.9-5), opendnssec-signer (<< 1:1.3.9-5), opendnssec-enforcer (<< 1:1.3.9-5), libhsm-bin (<< 1:1.3.9-5)
 Description: documentation for OpenDNSSEC suite
  OpenDNSSEC is a complete DNSSEC zone signing system which is very
  easy to use with stability and security in mind.  There are a lot of
@@ -104,9 +78,9 @@
 Section: admin
 Architecture: all
 Depends: ${misc:Depends},
-	 opendnssec-enforcer-backend,
+	 opendnssec-enforcer-sqlite3 | opendnssec-enforcer-backend,
 	 procps
-Recommends: opendnssec-signer, opendnssec-auditor
+Recommends: opendnssec-signer
 Suggests: opendnssec, softhsm
 Description: tool to prepare DNSSEC keys (common package)
  OpenDNSSEC is a complete DNSSEC zone signing system which is very
@@ -131,9 +105,10 @@
 	 opendnssec-enforcer,
 	 libdbd-mysql-perl
 Pre-Depends: dpkg (>= 1.15.7.2~) | dpkg-maintscript-helper
+Breaks: opendnssec-auditor (<< 1:1.4.0~)
 Provides: opendnssec-enforcer-backend
-Conflicts: opendnssec-enforcer-backend
-Replaces: opendnssec-enforcer-backend
+Conflicts: opendnssec-enforcer-backend, 
+Replaces: opendnssec-enforcer-backend, opendnssec-auditor (<< 1:1.4.0~)
 Suggests: opendnssec, softhsm
 Description: tool to prepare DNSSEC keys (mysql backend)
  OpenDNSSEC is a complete DNSSEC zone signing system which is very
@@ -157,8 +132,9 @@
 	 sqlite3,
 	 opendnssec-enforcer,
 	 libdbd-sqlite3-perl
+Breaks: opendnssec-auditor (<< 1:1.4.0~)
 Provides: opendnssec-enforcer-backend
-Conflicts: opendnssec-enforcer-backend
+Conflicts: opendnssec-enforcer-backend, opendnssec-auditor (<< 1:1.4.0~)
 Replaces: opendnssec-enforcer-backend
 Suggests: opendnssec, softhsm
 Description: tool to prepare DNSSEC keys (sqlite3 backend)
@@ -180,7 +156,7 @@
 	 ${misc:Depends},
 	 opendnssec-common (= ${source:Version}),
 	 libldns1 (>= 1.6.12~)
-Recommends: opendnssec-auditor, opendnssec-enforcer
+Recommends: opendnssec-enforcer
 Suggests: opendnssec, softhsm
 Conflicts: opendnssec-signer-tools (<< 1.2.0~)
 Description: daemon to sign DNS zone files periodically
@@ -221,6 +197,7 @@
 Section: debug
 Priority: extra
 Architecture: any
+Conflicts: opendnssec-dbg-sqlite3
 Description: Debug symbols for OpenDNSSEC (Enforcer with MySQL support)
  This package provides the debug symbols for OpenDNSSEC needed for properly
  debugging errors in OpenDNSSEC with gdb.
@@ -239,6 +216,7 @@
 Section: debug
 Priority: extra
 Architecture: any
+Conflicts: opendnssec-dbg-mysql
 Description: Debug symbols for OpenDNSSEC (Enforcer with SQLite3 support)
  This package provides the debug symbols for OpenDNSSEC needed for properly
  debugging errors in OpenDNSSEC with gdb.
