=== debian/rules ===
--- 
+++ 
@@ -17,22 +17,26 @@
 CFLAGS += -O2
 endif
 
+%:
+	dh --with autoreconf $@
 
-TRANG_VERSION ?= $(shell dpkg-query -W trang | cut -f 2)
-
-%:
-	dh --with quilt --with autoreconf $@
+override_dh_autoreconf:
+	dh_autoreconf --as-needed
 
 override_dh_auto_clean:
 	dh_auto_clean -Bbuild-sqlite3
 	dh_auto_clean -Denforcer -Bbuild-mysql/enforcer
 	rm -rf build-mysql build-sqlite3
 
+COMMON = --disable-rpath --with-ldns=/usr \
+	 --with-cunit=/usr --libexecdir=/usr/lib/opendnssec/ \
+	 --with-pkcs11-opensc=/usr/lib/pkcs11/opensc-pkcs11.so
+
 override_dh_auto_configure:
-	dh_auto_configure -Bbuild-sqlite3 -- --with-ruby=/usr/bin/ruby1.8 --with-ldns=/usr --with-database-backend=sqlite3 --with-sqlite3=/usr --libexecdir=/usr/lib/opendnssec/ --with-pkcs11-opensc=/usr/lib/pkcs11/opensc-pkcs11.so
+	dh_auto_configure -Bbuild-sqlite3 -- $(COMMON) --with-database-backend=sqlite3 --with-sqlite3=/usr
 	mkdir build-mysql
 	ln -s ../build-sqlite3/libhsm build-mysql/libhsm
-	dh_auto_configure -Bbuild-mysql/enforcer -- --with-ldns=/usr --with-database-backend=mysql --with-mysql=/usr --libexecdir=/usr/lib/opendnssec/ --disable-auditor --disable-signer --disable-doxygen-doc
+	dh_auto_configure -Bbuild-mysql/enforcer -- $(COMMON) --with-database-backend=mysql --disable-signer --disable-doxygen-doc --with-mysql=/usr
 
 override_dh_auto_build-arch:
 	dh_auto_build -Bbuild-sqlite3
@@ -49,7 +53,17 @@
 	dh_auto_install -Bbuild-sqlite3 -- DESTDIR=$(CURDIR)/debian/tmp
 	install -m 755 $(CURDIR)/enforcer/utils/migrate_keyshare_sqlite3.pl $(CURDIR)/debian/tmp/usr/share/opendnssec/
 	dh_auto_install -Bbuild-mysql/enforcer -- DESTDIR=$(CURDIR)/debian/opendnssec-enforcer-mysql
+	# Install migration scripts
+	install -m 755 $(CURDIR)/enforcer/utils/convert_database.pl $(CURDIR)/debian/tmp/usr/share/opendnssec/
 	install -m 755 $(CURDIR)/enforcer/utils/migrate_keyshare_mysql.pl $(CURDIR)/debian/opendnssec-enforcer-mysql/usr/share/opendnssec/
+	install -m 644 $(CURDIR)/enforcer/utils/migrate_adapters_1.mysql $(CURDIR)/debian/opendnssec-enforcer-mysql/usr/share/opendnssec/
+	install -m 644 $(CURDIR)/enforcer/utils/migrate_zone_delete.mysql $(CURDIR)/debian/opendnssec-enforcer-mysql/usr/share/opendnssec/
+	install -m 755 $(CURDIR)/enforcer/utils/migrate_to_ng_mysql.pl $(CURDIR)/debian/opendnssec-enforcer-mysql/usr/share/opendnssec/
+	install -m 755 $(CURDIR)/enforcer/utils/migrate_id_mysql.pl $(CURDIR)/debian/opendnssec-enforcer-mysql/usr/share/opendnssec/
+	install -m 755 $(CURDIR)/enforcer/utils/migrate_keyshare_sqlite3.pl $(CURDIR)/debian/tmp/usr/share/opendnssec/
+	install -m 644 $(CURDIR)/enforcer/utils/migrate_adapters_1.sqlite3 $(CURDIR)/debian/tmp/usr/share/opendnssec/
+	install -m 755 $(CURDIR)/enforcer/utils/migrate_to_ng_sqlite.pl $(CURDIR)/debian/tmp/usr/share/opendnssec/
+	# Remove extra dist files from opendnssec-enforcer-mysql
 	rm -rf $(CURDIR)/debian/opendnssec-enforcer-mysql/usr/share/man/ \
 	       $(CURDIR)/debian/opendnssec-enforcer-mysql/var/run/opendnssec/ \
 	       $(CURDIR)/debian/opendnssec-enforcer-mysql/usr/bin/ods-hsm* \
@@ -62,7 +76,7 @@
 override_dh_installdocs-arch:
 	dh_installdocs -popendnssec-common -popendnssec -popendnssec-dbg-mysql -popendnssec-dbg-sqlite3 --link-doc=opendnssec-common
 	dh_installdocs -popendnssec-enforcer -popendnssec-enforcer-sqlite3 -popendnssec-enforcer-mysql --link-doc=opendnssec-enforcer
-	dh_installdocs -plibhsm-bin -popendnssec-auditor -popendnssec-signer -popendnssec-doc
+	dh_installdocs -plibhsm-bin -popendnssec-signer -popendnssec-doc
 	# Remove extra and unnecessary jquery.js library from generated docs (See #622147)
 	for p in libhsm-bin opendnssec-signer opendnssec-enforcer; do \
 	    rm -f $(CURDIR)/debian/opendnssec-doc/usr/share/doc/$$p/html/jquery.js; \
@@ -84,3 +98,6 @@
 	cp -a $(CURDIR)/debian/opendnssec-enforcer-mysql/usr/lib/debug $(CURDIR)/debian/opendnssec-dbg-mysql/usr/lib/
 	rm -rf $(CURDIR)/debian/opendnssec-enforcer-sqlite3/usr/lib/debug
 	rm -rf $(CURDIR)/debian/opendnssec-enforcer-mysql/usr/lib/debug
+
+override_dh_install:
+	dh_install --fail-missing -Xxml.sample
