=== debian/watch ===
version=3
opts=dversionmangle=s/\.dfsg$// \
http://www.opendnssec.org/files/source/opendnssec-(.*)\.tar\.gz
