## opendnssec 1.4.5

=== debian/changelog ===
opendnssec (1:1.4.5-6~bpo70+1) wheezy-backports; urgency=medium

  * Backport for Debian 7.0

 -- Ondřej Surý <ondrej@debian.org>  Tue, 22 Jul 2014 02:34:14 +0200

opendnssec (1:1.4.5-6) unstable; urgency=high

  * Set explicit path to libsofthsm.so to avoid M-A dirs creeping in
    (Closes: #753612)

 -- Ondřej Surý <ondrej@debian.org>  Fri, 04 Jul 2014 11:23:11 +0200

opendnssec (1:1.4.5-5) unstable; urgency=medium

  * Switch to debhelper 9 dpkg-buildflags from hardening-wrapper

 -- Ondřej Surý <ondrej@debian.org>  Mon, 30 Jun 2014 10:24:44 +0200

opendnssec (1:1.4.5-4) unstable; urgency=medium

  * Swap mariadb-client with mysql-client in Build-Depends
    (Closes: #751912)

 -- Ondřej Surý <ondrej@debian.org>  Wed, 18 Jun 2014 09:57:50 +0200

opendnssec (1:1.4.5-3) unstable; urgency=medium

  * Don't install full set of man pages in opendnssec-enforcer-mysql
    (Closes: #751711, #751712)

 -- Ondřej Surý <ondrej@debian.org>  Mon, 16 Jun 2014 11:27:10 +0200

opendnssec (1:1.4.5-2) unstable; urgency=medium

  * Remove circular dependency between opendnssec-enforcer and its
    backends (Closes: #744838)
  * Add MariaDB as alternative to MySQL (Closes: #732901)
  * d/control: Cleanup of conflicts and dependencies
  * Install all doxygen documentation inside opendnssec-doc directory

 -- Ondřej Surý <ondrej@debian.org>  Fri, 13 Jun 2014 14:09:43 +0200

opendnssec (1:1.4.5-1) unstable; urgency=medium

  * New upstream version 1.4.5
  * Update patches for 1.4.5 release
  * README is now README.md

 -- Ondřej Surý <ondrej@debian.org>  Tue, 27 May 2014 15:37:12 +0200
