=== debian/control ===
--- 
+++ 
@@ -2,15 +2,15 @@
 Section: admin
 Priority: extra
 Maintainer: Ondřej Surý <ondrej@debian.org>
-Build-Depends: debhelper (>= 7.0.50~),
-	       hardening-wrapper,
+Build-Depends: debhelper (>= 9),
 	       dh-autoreconf,
+	       autotools-dev,
 	       libxml2-utils,
 	       xsltproc,
 	       libxml2-dev,
 	       libmysqlclient-dev,
 	       libcurl4-openssl-dev,
-	       mysql-client,
+	       mysql-client | mariadb-client,
 	       libsqlite3-dev,
 	       sqlite3,
 	       libldns-dev (>= 1.6.14~),
@@ -19,7 +19,7 @@
 	       procps,
 	       graphviz,
 	       doxygen
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://www.opendnssec.org/
 Vcs-Browser: http://git.debian.org/?p=pkg-nlnetlabs/opendnssec.git
 Vcs-Git: git://git.debian.org/pkg-nlnetlabs/opendnssec.git
@@ -30,9 +30,10 @@
 Depends: ${misc:Depends},
 	 ucf,
 	 adduser
-Suggests: opendnssec, softhsm
-Conflicts: opendnssec-auditor (<= 1.3.7-2)
-Replaces: opendnssec-auditor (<= 1.3.7-2)
+Recommends: opendnssec, softhsm
+Conflicts: opendnssec-auditor (<< 1:1.4.0~),
+	   opendnssec-doc (<< 1:1.4.5-2~)
+Replaces: opendnssec-doc (<< 1:1.4.5.2~)
 Description: common configuration files for OpenDNSSEC suite
  OpenDNSSEC is a complete DNSSEC zone signing system which is very
  easy to use with stability and security in mind.  There are a lot of
@@ -46,11 +47,11 @@
 Section: misc
 Architecture: all
 Depends: ${misc:Depends},
-	 opendnssec-enforcer-sqlite3 | opendnssec-enforcer,
+	 opendnssec-enforcer,
 	 opendnssec-signer,
-	 opendnssec-doc,
 	 libhsm-bin
-Suggests: softhsm
+Recommends: softhsm
+Suggests: opendnssec-doc
 Description: dependency package to install full OpenDNSSEC suite
  OpenDNSSEC is a complete DNSSEC zone signing system which is very
  easy to use with stability and security in mind.  There are a lot of
@@ -63,9 +64,7 @@
 Section: doc
 Architecture: all
 Depends: ${misc:Depends}
-Suggests: opendnssec, softhsm
-Replaces: opendnssec-auditor (<< 1:1.3.9-5), opendnssec-signer (<< 1:1.3.9-5), opendnssec-enforcer (<< 1:1.3.9-5), libhsm-bin (<< 1:1.3.9-5)
-Breaks: opendnssec-auditor (<< 1:1.3.9-5), opendnssec-signer (<< 1:1.3.9-5), opendnssec-enforcer (<< 1:1.3.9-5), libhsm-bin (<< 1:1.3.9-5)
+Suggests: opendnssec
 Description: documentation for OpenDNSSEC suite
  OpenDNSSEC is a complete DNSSEC zone signing system which is very
  easy to use with stability and security in mind.  There are a lot of
@@ -80,8 +79,7 @@
 Depends: ${misc:Depends},
 	 opendnssec-enforcer-sqlite3 | opendnssec-enforcer-backend,
 	 procps
-Recommends: opendnssec-signer
-Suggests: opendnssec, softhsm
+Recommends: opendnssec-signer, opendnssec, softhsm
 Description: tool to prepare DNSSEC keys (common package)
  OpenDNSSEC is a complete DNSSEC zone signing system which is very
  easy to use with stability and security in mind.  There are a lot of
@@ -101,15 +99,15 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
 	 opendnssec-common (= ${source:Version}),
-	 mysql-client,
-	 opendnssec-enforcer,
+	 mariadb-client | mysql-client,
 	 libdbd-mysql-perl
 Pre-Depends: dpkg (>= 1.15.7.2~) | dpkg-maintscript-helper
-Breaks: opendnssec-auditor (<< 1:1.4.0~)
+Breaks: opendnssec-enforcer (<< 1:1.4.5-2~)
 Provides: opendnssec-enforcer-backend
-Conflicts: opendnssec-enforcer-backend, 
-Replaces: opendnssec-enforcer-backend, opendnssec-auditor (<< 1:1.4.0~)
-Suggests: opendnssec, softhsm
+Conflicts: opendnssec-enforcer-backend
+Replaces: opendnssec-enforcer-backend,
+	  opendnssec-enforcer (<< 1:1.4.5-2~)
+Recommends: opendnssec, softhsm
 Description: tool to prepare DNSSEC keys (mysql backend)
  OpenDNSSEC is a complete DNSSEC zone signing system which is very
  easy to use with stability and security in mind.  There are a lot of
@@ -130,13 +128,13 @@
 	 ${misc:Depends},
 	 opendnssec-common (= ${source:Version}),
 	 sqlite3,
-	 opendnssec-enforcer,
 	 libdbd-sqlite3-perl
-Breaks: opendnssec-auditor (<< 1:1.4.0~)
+Breaks: opendnssec-enforcer (<< 1:1.4.5-2~)
 Provides: opendnssec-enforcer-backend
-Conflicts: opendnssec-enforcer-backend, opendnssec-auditor (<< 1:1.4.0~)
-Replaces: opendnssec-enforcer-backend
-Suggests: opendnssec, softhsm
+Conflicts: opendnssec-enforcer-backend
+Replaces: opendnssec-enforcer-backend,
+	  opendnssec-enforcer (<< 1:1.4.5-2~)
+Recommends: opendnssec, softhsm
 Description: tool to prepare DNSSEC keys (sqlite3 backend)
  OpenDNSSEC is a complete DNSSEC zone signing system which is very
  easy to use with stability and security in mind.  There are a lot of
@@ -156,8 +154,7 @@
 	 ${misc:Depends},
 	 opendnssec-common (= ${source:Version}),
 	 libldns1 (>= 1.6.12~)
-Recommends: opendnssec-enforcer
-Suggests: opendnssec, softhsm
+Recommends: opendnssec-enforcer, opendnssec, softhsm
 Conflicts: opendnssec-signer-tools (<< 1.2.0~)
 Description: daemon to sign DNS zone files periodically
  OpenDNSSEC is a complete DNSSEC zone signing system which is very
@@ -177,7 +174,7 @@
 	 ${misc:Depends},
 	 opendnssec-common (= ${source:Version})
 Conflicts: libhsm-dev, libhsm0
-Suggests: opendnssec, softhsm
+Recommends: opendnssec, softhsm
 Description: library for interfacing PKCS#11 Hardware Security Modules
  OpenDNSSEC is a complete DNSSEC zone signing system which is very
  easy to use with stability and security in mind.  There are a lot of
@@ -192,7 +189,7 @@
  This package contains command line tools.
 
 Package: opendnssec-dbg-mysql
-Depends: ${misc:Depends}, opendnssec-enforcer, opendnssec-signer, libhsm-bin, opendnssec-enforcer-mysql
+Depends: ${misc:Depends}, opendnssec-enforcer | opendnssec-signer | libhsm-bin | opendnssec-enforcer-mysql
 Recommends: gdb
 Section: debug
 Priority: extra
@@ -211,7 +208,7 @@
  Enforcer.
 
 Package: opendnssec-dbg-sqlite3
-Depends: ${misc:Depends}, opendnssec-enforcer, opendnssec-signer, libhsm-bin, opendnssec-enforcer-sqlite3
+Depends: ${misc:Depends}, opendnssec-enforcer | opendnssec-signer | libhsm-bin | opendnssec-enforcer-sqlite3
 Recommends: gdb
 Section: debug
 Priority: extra
