=== debian/rules ===
--- 
+++ 
@@ -7,18 +7,11 @@
 
 DEB_HOST_ARCH   ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 
-export DEB_BUILD_HARDENING=1
-export DEB_BUILD_HARDENING_PIE=0
-
-CFLAGS = -Wl,-z,defs -Wl,--as-needed
-ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
-CFLAGS += -O0
-else
-CFLAGS += -O2
-endif
+export DEB_CFLAGS_MAINT_OPTIONS = -Wall -Wextra -g -pipe $(if $(findstring noopt,$(DEB_BUILD_OPTIONS)),-O0,-O2)
+export DEB_LDFLAGS_MAINT_OPTIONS = -Wl,-z,defs -Wl,--as-needed 
 
 %:
-	dh --with autoreconf $@
+	dh $@ --with autoreconf,autotools-dev
 
 override_dh_autoreconf:
 	dh_autoreconf --as-needed
@@ -30,7 +23,8 @@
 
 COMMON = --disable-rpath --with-ldns=/usr \
 	 --with-cunit=/usr --libexecdir=/usr/lib/opendnssec/ \
-	 --with-pkcs11-opensc=/usr/lib/pkcs11/opensc-pkcs11.so
+	 --with-pkcs11-opensc=/usr/lib/pkcs11/opensc-pkcs11.so \
+	 --with-pkcs11-softhsm=/usr/lib/softhsm/libsofthsm.so
 
 override_dh_auto_configure:
 	dh_auto_configure -Bbuild-sqlite3 -- $(COMMON) --with-database-backend=sqlite3 --with-sqlite3=/usr
@@ -55,6 +49,7 @@
 	dh_auto_install -Bbuild-mysql/enforcer -- DESTDIR=$(CURDIR)/debian/opendnssec-enforcer-mysql
 	# Install migration scripts
 	install -m 755 $(CURDIR)/enforcer/utils/convert_database.pl $(CURDIR)/debian/tmp/usr/share/opendnssec/
+	install -m 755 $(CURDIR)/enforcer/utils/convert_database.pl $(CURDIR)/debian/opendnssec-enforcer-mysql/usr/share/opendnssec/
 	install -m 755 $(CURDIR)/enforcer/utils/migrate_keyshare_mysql.pl $(CURDIR)/debian/opendnssec-enforcer-mysql/usr/share/opendnssec/
 	install -m 644 $(CURDIR)/enforcer/utils/migrate_adapters_1.mysql $(CURDIR)/debian/opendnssec-enforcer-mysql/usr/share/opendnssec/
 	install -m 644 $(CURDIR)/enforcer/utils/migrate_zone_delete.mysql $(CURDIR)/debian/opendnssec-enforcer-mysql/usr/share/opendnssec/
@@ -64,23 +59,24 @@
 	install -m 644 $(CURDIR)/enforcer/utils/migrate_adapters_1.sqlite3 $(CURDIR)/debian/tmp/usr/share/opendnssec/
 	install -m 755 $(CURDIR)/enforcer/utils/migrate_to_ng_sqlite.pl $(CURDIR)/debian/tmp/usr/share/opendnssec/
 	# Remove extra dist files from opendnssec-enforcer-mysql
-	rm -rf $(CURDIR)/debian/opendnssec-enforcer-mysql/usr/share/man/ \
-	       $(CURDIR)/debian/opendnssec-enforcer-mysql/var/run/opendnssec/ \
+	rm -rf $(CURDIR)/debian/opendnssec-enforcer-mysql/var/run/opendnssec/ \
 	       $(CURDIR)/debian/opendnssec-enforcer-mysql/usr/bin/ods-hsm* \
 	       $(CURDIR)/debian/opendnssec-enforcer-mysql/usr/bin/ods-kasp2html \
 	       $(CURDIR)/debian/opendnssec-enforcer-mysql/usr/sbin/ods-control \
 	       $(CURDIR)/debian/opendnssec-enforcer-mysql/usr/share/opendnssec/*.rn? \
 	       $(CURDIR)/debian/opendnssec-enforcer-mysql/usr/share/opendnssec/kasp2html.xsl \
-	       $(CURDIR)/debian/opendnssec-enforcer-mysql/etc/opendnssec
+	       $(CURDIR)/debian/opendnssec-enforcer-mysql/etc/opendnssec \
+	       $(CURDIR)/debian/opendnssec-enforcer-mysql/usr/share/man/man5 \
+	       $(CURDIR)/debian/opendnssec-enforcer-mysql/usr/share/man/man7 \
+	       $(CURDIR)/debian/opendnssec-enforcer-mysql/usr/share/man/man8/ods-control.* \
+	       $(CURDIR)/debian/opendnssec-enforcer-mysql/usr/share/man/man1/ods-hsm* \
 
 override_dh_installdocs-arch:
-	dh_installdocs -popendnssec-common -popendnssec -popendnssec-dbg-mysql -popendnssec-dbg-sqlite3 --link-doc=opendnssec-common
-	dh_installdocs -popendnssec-enforcer -popendnssec-enforcer-sqlite3 -popendnssec-enforcer-mysql --link-doc=opendnssec-enforcer
-	dh_installdocs -plibhsm-bin -popendnssec-signer -popendnssec-doc
-	# Remove extra and unnecessary jquery.js library from generated docs (See #622147)
-	for p in libhsm-bin opendnssec-signer opendnssec-enforcer; do \
-	    rm -f $(CURDIR)/debian/opendnssec-doc/usr/share/doc/$$p/html/jquery.js; \
-	done
+	dh_installdocs -popendnssec-common -popendnssec -popendnssec-dbg-mysql \
+	               -popendnssec-dbg-sqlite3 -popendnssec-enforcer -popendnssec-enforcer-sqlite3 \
+	               -popendnssec-enforcer-mysql -plibhsm-bin -popendnssec-signer \
+	               --link-doc=opendnssec-common
+	dh_installdocs -popendnssec-doc
 
 override_dh_installchangelogs:
 	dh_installchangelogs NEWS
