## opendnssec 1.4.6

=== debian/changelog ===
opendnssec (1:1.4.6-6) unstable; urgency=medium

  * Fix yet another iteration of dh_linkdoc madness (Closes: #768245)

 -- Ondřej Surý <ondrej@debian.org>  Tue, 13 Jan 2015 14:25:18 +0100

opendnssec (1:1.4.6-5) unstable; urgency=medium

  * Fix old directory in maintscript helper invocation for
    opendnssec-enforcer-{mysql,sqlite3} (Closes: #768245)

 -- Ondřej Surý <ondrej@debian.org>  Mon, 01 Dec 2014 17:56:04 +0100

opendnssec (1:1.4.6-4) unstable; urgency=medium

  * Strip trailing slashes and use ${misc:Pre-Depends} (Closes: #768245)
  * Drop extra -- "$@" from *.mainscript

 -- Ondřej Surý <ondrej@debian.org>  Thu, 06 Nov 2014 10:29:27 +0100

opendnssec (1:1.4.6-3) unstable; urgency=medium

  * Add Pre-Depends: dpkg (>= 1.17.5) for dpkg-maintscript-helper
    (Closes: #768065)

 -- Ondřej Surý <ondrej@debian.org>  Tue, 04 Nov 2014 17:38:09 +0100

opendnssec (1:1.4.6-2) unstable; urgency=high

  * Make opendnssec binNMUable by unlinking the documentation
    (Closes: #760830)
  * Fix Vcs-URLs to point to anonscm.debian.org
  * Fix invalid return usage in opendnssec-common preinst script
    (Closes: #760852)

 -- Ondřej Surý <ondrej@debian.org>  Mon, 08 Sep 2014 16:27:22 +0200

opendnssec (1:1.4.6-1) unstable; urgency=medium

  * New upstream version 1.4.6
  * Refresh patches for 1.4.6 release
  * Install new ods-getconf binary into opendnssec-signer package

 -- Ondřej Surý <ondrej@debian.org>  Tue, 22 Jul 2014 03:19:15 +0200
