=== debian/control ===
--- 
+++ 
@@ -21,8 +21,8 @@
 	       doxygen
 Standards-Version: 3.9.5
 Homepage: http://www.opendnssec.org/
-Vcs-Browser: http://git.debian.org/?p=pkg-nlnetlabs/opendnssec.git
-Vcs-Git: git://git.debian.org/pkg-nlnetlabs/opendnssec.git
+Vcs-Browser: http://anonscm.debian.org/?p=pkg-nlnetlabs/opendnssec.git
+Vcs-Git: git://anonscm.debian.org/pkg-nlnetlabs/opendnssec.git
 
 Package: opendnssec-common
 Section: misc
@@ -46,6 +46,8 @@
 Package: opendnssec
 Section: misc
 Architecture: all
+Pre-Depends: dpkg (>= 1.17.14~),
+	     ${misc:Pre-Depends}
 Depends: ${misc:Depends},
 	 opendnssec-enforcer,
 	 opendnssec-signer,
@@ -76,6 +78,8 @@
 Package: opendnssec-enforcer
 Section: admin
 Architecture: all
+Pre-Depends: dpkg (>= 1.17.14~),
+	     ${misc:Pre-Depends}
 Depends: ${misc:Depends},
 	 opendnssec-enforcer-sqlite3 | opendnssec-enforcer-backend,
 	 procps
@@ -97,11 +101,12 @@
 Package: opendnssec-enforcer-mysql
 Section: admin
 Architecture: any
+Pre-Depends: dpkg (>= 1.17.14~),
+	     ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends},
 	 opendnssec-common (= ${source:Version}),
 	 mariadb-client | mysql-client,
 	 libdbd-mysql-perl
-Pre-Depends: dpkg (>= 1.15.7.2~) | dpkg-maintscript-helper
 Breaks: opendnssec-enforcer (<< 1:1.4.5-2~)
 Provides: opendnssec-enforcer-backend
 Conflicts: opendnssec-enforcer-backend
@@ -124,6 +129,8 @@
 Package: opendnssec-enforcer-sqlite3
 Section: admin
 Architecture: any
+Pre-Depends: dpkg (>= 1.17.14~),
+	     ${misc:Pre-Depends}
 Depends: ${shlibs:Depends},
 	 ${misc:Depends},
 	 opendnssec-common (= ${source:Version}),
@@ -150,6 +157,8 @@
 
 Package: opendnssec-signer
 Architecture: any
+Pre-Depends: dpkg (>= 1.17.14~),
+	     ${misc:Pre-Depends}
 Depends: ${shlibs:Depends},
 	 ${misc:Depends},
 	 opendnssec-common (= ${source:Version}),
@@ -170,6 +179,8 @@
 Package: libhsm-bin
 Section: misc
 Architecture: any
+Pre-Depends: dpkg (>= 1.17.14~),
+	     ${misc:Pre-Depends}
 Depends: ${shlibs:Depends},
 	 ${misc:Depends},
 	 opendnssec-common (= ${source:Version})
@@ -189,6 +200,8 @@
  This package contains command line tools.
 
 Package: opendnssec-dbg-mysql
+Pre-Depends: dpkg (>= 1.17.14~),
+	     ${misc:Pre-Depends}
 Depends: ${misc:Depends}, opendnssec-enforcer | opendnssec-signer | libhsm-bin | opendnssec-enforcer-mysql
 Recommends: gdb
 Section: debug
@@ -208,6 +221,8 @@
  Enforcer.
 
 Package: opendnssec-dbg-sqlite3
+Pre-Depends: dpkg (>= 1.17.14~),
+	     ${misc:Pre-Depends}
 Depends: ${misc:Depends}, opendnssec-enforcer | opendnssec-signer | libhsm-bin | opendnssec-enforcer-sqlite3
 Recommends: gdb
 Section: debug
