=== debian/rules ===
--- 
+++ 
@@ -72,11 +72,11 @@
 	       $(CURDIR)/debian/opendnssec-enforcer-mysql/usr/share/man/man1/ods-hsm* \
 
 override_dh_installdocs-arch:
-	dh_installdocs -popendnssec-common -popendnssec -popendnssec-dbg-mysql \
-	               -popendnssec-dbg-sqlite3 -popendnssec-enforcer -popendnssec-enforcer-sqlite3 \
-	               -popendnssec-enforcer-mysql -plibhsm-bin -popendnssec-signer \
-	               --link-doc=opendnssec-common
-	dh_installdocs -popendnssec-doc
+	dh_installdocs -popendnssec-common -popendnssec-common\
+		-popendnssec-dbg-mysql -popendnssec-dbg-sqlite3 \
+		-popendnssec-enforcer -popendnssec-enforcer-sqlite3 \
+		-popendnssec-enforcer-mysql -plibhsm-bin \
+		-popendnssec-signer -popendnssec-doc 
 
 override_dh_installchangelogs:
 	dh_installchangelogs NEWS
